import type { SponsorSponsorshipsDTO } from '@core/racing/application/use-cases/GetSponsorSponsorshipsUseCase';
import type { ISponsorSponsorshipsPresenter, SponsorSponsorshipsViewModel } from '@core/racing/application/presenters/ISponsorSponsorshipsPresenter';

export class GetSponsorSponsorshipsPresenter implements ISponsorSponsorshipsPresenter {
  private result: SponsorSponsorshipsViewModel | null = null;

  reset() {
    this.result = null;
  }

  present(dto: SponsorSponsorshipsDTO | null) {
    this.result = dto;
  }

  getViewModel(): SponsorSponsorshipsViewModel | null {
    return this.result;
  }

  get viewModel(): SponsorSponsorshipsViewModel | null {
    return this.result;
  }
}